#2824 closed defect (fixed)

arm/lpc23xx_tli800 no longer links tar01

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: high Milestone: 5.1
Component: arch/arm Version: 5
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

Normally I would add the test to those skipped but I thought this deserved a second look. Should this BSP be able to run this test? I thought it was a fairly beefy board.

arm-rtems4.12-gcc -B../../../../../lpc23xx_tli800/lib/ -specs bsp_specs -qrtems -mcpu=arm7tdmi-s -mthumb -Os -g -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -Wl,--gc-sections -mcpu=arm7tdmi-s -mthumb -DHAVE_XZ=1 -o tar01.exe init.o test_cat.o initial_filesystem_tar.o initial_filesystem_tar_gz.o initial_filesystem_tar_xz.o -lrtemscpu -lz
/data/home/joel/rtems-4.11-work/tools/4.12/bin/../lib/gcc/arm-rtems4.12/6.2.1/../../../../arm-rtems4.12/bin/ld: tar01.exe section .data' will not fit in region ROM_INT'
/data/home/joel/rtems-4.11-work/tools/4.12/bin/../lib/gcc/arm-rtems4.12/6.2.1/../../../../arm-rtems4.12/bin/ld: region `ROM_INT' overflowed by 36 bytes
collect2: error: ld returned 1 exit status
gmake[7]: * [tar01.exe] Error 1

Change History (5)

comment:1 Changed on Nov 23, 2016 at 6:12:02 AM by Sebastian Huber

No, this is a low-end target in terms of memory.

comment:2 Changed on Nov 23, 2016 at 6:47:46 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 3142727602622f7e8f0a58fe3f71648292c3733a/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 16, 2017 at 6:24:30 AM by Sebastian Huber

Component: unspecifiedarch/arm

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.